### Method

# Xdp Session connect_to_eis

#### Declaration [src]

    int
    xdp_session_connect_to_eis (
      XdpSession* session
      GError** error
    )

#### Description [src]

Connect this XdpRemoteDesktopSession to an EIS implementation and return the fd. This fd can be passed into ei_setup_backend_fd(). See the libei documentation for details.

This call must be issued before xdp_session_start(). If successful, all input event emulation must be handled via the EIS connection and calls to `xdp_session_pointer_motion()` etc. are silently ignored.

#### Return value

Type: `int`

The file descriptor to the EIS implementation.